osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[qa][stable] tempest.api.volume.test_versions.VersionsTest.test_show_version fails on stable/pike


 ---- On Thu, 26 Sep 2019 02:09:20 -0500 Sean McGinnis <sean.mcginnis at gmx.com> wrote ----
 > On Wed, Sep 25, 2019 at 10:00:30AM -0500, Matt Riedemann wrote:
 > > On 9/25/2019 9:51 AM, Matt Riedemann wrote:
 > > > Anyway, it sounds like this is another case where we're going to have to
 > > > pin tempest to a tag in devstack on stable/pike to continue running
 > > > tempest jobs against stable/pike changes, similar to what recently
 > > > happened with stable/ocata [3].
 > >
 > > Here is the devstack patch to pin tempest to 21.0.0 in stable/pike:
 > >
 > > https://review.opendev.org/#/c/684769/
 > >
 > > --
 > >
 > > Thanks,
 > >
 > > Matt
 > >
 > 
 > We should be seeing this in queens too. We will need to get this patch merged
 > there first, then into pike. We can either pin tempest, or get this fixed.
 > 
 > https://review.opendev.org/#/c/684954/
 > 
 > It was a long standing issue that disabled API versions were still listed. This
 > can probably be backported back to ocata.

I do not think the cinder backport will fix the issue. In my test patch, its v1 version which causing the issue and v1 should not be
returned in GET / as per cinder pike code.  684954 is only taking care for v2 and v3 things if those are disabled. 

- https://zuul.opendev.org/t/openstack/build/e13e8a408f214e1b9d03b41c23955c7e/log/controller/logs/tempest_log.txt.gz#70152

Something else is causing this issue. 

-gmann

 > 
 > Sean
 > 
 >